{
  "$schema": "https://schemas.wp.org/trunk/block.json",
  "apiVersion": 2,
  "name": "homegrade-content-blocks/content-page-header",
  "version": "0.1.0",
  "title": "Content page header",
  "category": "homegrade-blocks",
  "icon": "smiley",
  "description": "Bloc bannière/header de contenu de premier niveau pour les pages de contenu",
  "supports": {
    "html": false,
    "anchor": true
  },
  "textdomain": "homegrade-blocks",
  "editorScript": "file:./index.js",
  "editorStyle": "file:./index.css",
  "style": "file:./style-index.css",
  "render": "file:./render.php",
  "attributes": {
    "hasCustomTitle": {
      "type": "boolean",
      "default": false
    },
    "pageHeaderTitle": {
      "type": "string"
    },
    "hasCta": {
      "type": "boolean",
      "default": false
    },
    "cta": {
      "type": "object"
    },
    "hasCustomImage": {
      "type": "boolean",
      "default": false
    },
    "imageUrl": {
      "type": "string"
    },
    "imageAlt": {
      "type": "string"
    },
    "imageId": {
      "type": "number"
    },
    "imageProportion": {
      "type": "string",
      "default": "original"
    },
    "anchor": {
      "type": "string"
    },
    "coverSize": {
      "type": "string",
      "default": "medium"
    }
  }
}